# -*- coding: utf-8 -*-
import sys
from glob import glob
import re

from mrdna.readers import cadnano_reader()
from mrdna.simulate import run_multiresolution_simulation as simulate

if __name__ == '__main__':
    if len(sys.argv) > 1:
        json_files = sys.argv[1:]
    else:
        print(len(sys.argv))
        json_files = glob('json/*')
    for f in json_files:
        print("Working on {}".format(f))
        out = re.match('json/(.*).json',f).group(1)
        try:
            data = read_json_file(f)
            model = read_model(data)
        except:
            print("WARNING: skipping unreadable json file {}".format(f))
            continue
            
        directory = "run.out.7bd92d9.twist-angles"
        simulate( model,
                  output_name = out,
                  coarse_steps = 1e7,
                  fine_steps = 1e7,
                  gpu=1,
                  directory = directory
        )
